<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	}
	String situacion = request.getParameter("SituacionTexto");
	String sOrder1=request.getParameter("Orden1");
	if (sOrder1==null || sOrder1.equals("NULL")){
	       sOrder1="ASC";}
	String sOrder2=request.getParameter("Orden2");
	if (sOrder2==null || sOrder2.equals("NULL")){
	       sOrder2="ASC";}
	String sOrder1bis=request.getParameter("Orden1bis");
	if (sOrder1bis==null || sOrder1bis.equals("NULL")){
	       sOrder1bis="1";}
	String sOrder2bis=request.getParameter("Orden2bis");
	if (sOrder2bis==null || sOrder2bis.equals("NULL")){
	       sOrder2bis="2";}	       
	String SituacionLista="";
	m05bComun comun = new m05bComun();
 
	if (situacion==null || situacion.equals("NULL")){
	       situacion="";
    } else {
      SituacionLista=comun.ListaCaracteres(situacion);
    }
    String fecha = request.getParameter("FAntes");
    m05bFileLog miLog = new m05bFileLog();
	String persona = (String) session.getAttribute("persona");
	
    
%>	
<%@ include file="/m05bIdioma.inc"%>
<%
if (fecha==null || fecha.equals("NULL")){
    fecha=comun.getFechaActual(campoTexto3);
    miLog.addTraza(persona , "Veh TarjetasCaducidad" , "fecha: " + fecha, m05bConstantes.LOG_NIVEL_BAJO);
    miLog.addTraza(m05bConstantes.LOG_NO_USER , "Veh TarjetasCaducidad", "fecha: " + fecha, m05bConstantes.LOG_NIVEL_BAJO);
  }
	
%>
<HTML>
<head>
<title><%= resTit.getString("titLstTarjCaducidad")%></title>
	
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charsGastoset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
			
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
        <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>

			
</head>
			
<BODY  style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
	<!--          CAPA ESPERA       -->
<script>
function RecogerSelectMultiple(){			  
    var Obj = document.formTarjetasCaducidad('Situacion');
    var len = Obj.length
    	
    var i,texto,cont;
        texto="";
        cont=1;
    for (i=1; i<len; i++) {
      if (Obj[i].selected) {
      	   if (cont==1){ 
             texto= Obj[i].value;}
            else{ 
            	texto=texto + "," +Obj[i].value;}
            cont=cont+1;
       }
   }
         document.formTarjetasCaducidad.SituacionTexto.value=texto;
      
      }   
</script> 
	
  <!--Inicio Cabecera -->
   <SCRIPT language=JavaScript>
	 var urlIdioma;		//URL recarga en funcion del idioma
	 var rutaCabecera;	//Camino de migas
     urlIdioma = "<%=m05bConstantesPaginas.LST_TAR_CADUCIDAD%>";
     detActual='<%= resCM.getString("cmLstTarjCaducidad")%>';
     rutaCabecera="";
     //rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='" + urlIdioma + "'>\\<%= resCM.getString("cmLstTarjCaducidad")%></a>";
   </SCRIPT>
   <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
  <!--Fin Cabecera-->
  <!--Inicio Capa que muestra el Calendario -->
      <DIV id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
  <!--Fin Iicio Capa que muestra el Calendario -->
  <!--Tabla que engloba cuerpo y menu-->
  <P> 	 
  <table  width="100%" height="100%" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
	  <!--Celda de la izquierda que constituye el menu-->
	  <td width="2%">
		<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	     <DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	       <%@ include file="/m05bMenuInicial.inc"%>
	     </DIV>
	 	</DIV>
	   </td>
	  <!-- Fin Celda de la izquierda que constituye el menu-->
	   <td>&nbsp&nbsp</td>
	  <!-- Celda de la derecha que constituye el cuerpo de la consulta-->
	   <td width="98%">
	   	 <!--FORM INICIO DIBUJO FORMULARIO FORM VEHICULOS (la mitad superior de la pagina)-->
		
			<FORM NAME="formTarjetasCaducidad" METHOD="POST" >
		  <!-- Hojas de Estilo -->
		  <% String m05bCalendarEstilo = comun.leerPropiedad("m05bEstilos.Calendario");  %>
		  <%=m05bCalendarEstilo%>
		  <!-- Calendarios -->
		  <% String m05bCalendarScripts = comun.leerPropiedad("m05bScripts.Calendario");  %>
		  <%=m05bCalendarScripts%>
				
					<%
					String Tarjeta="", Tipo="", Control="", Concepto="", Nombre="", CodGasto="", matricula="";
					String Fecha="", FechaAlta="",FechaCaducidad="",sFecHasta2="";
					int contTotal=0;
					m05bCombo miCombo = new m05bCombo();
					StringBuffer sql = new StringBuffer();
					StringBuffer sqlExiste = new StringBuffer();
                    java.sql.Connection conexion=null;
                    m05bConexion miConexion = new m05bConexion();                    
					java.sql.Statement pstmtGastos = null;
					ResultSet rsGastos = null;
                    sql.append(" SELECT ").append(m05bConstantes.COL_31_TARJETA).append(","); 
                    sql.append(m05bConstantes.COL_31_MATRICULA).append(", TO_CHAR("); 
                    sql.append(m05bConstantes.COL_31_FALTA).append(",'"+formatoFecha+"'),TO_CHAR("); 
                    sql.append(m05bConstantes.COL_31_FCADUC).append(",'"+formatoFecha+"'),"); 
                    sql.append(m05bConstantes.COL_03_NOMBRE).append(","); 
                    sql.append(m05bConstantes.COL_34_SITUACION).append(" FROM "); 
                    sql.append(m05bConstantes.TAB_TARJETAS).append(","); 
                    sql.append(m05bConstantes.TAB_VEHICULOS).append(","); 
                    sql.append(m05bConstantes.TAB_BANCOS).append(" WHERE ");  
                    sql.append(m05bConstantes.COL_31_CUENTA).append(" = ").append(m05bConstantes.COL_03_NCUENTA).append(" AND ");  
                    sql.append(m05bConstantes.COL_31_MATRICULA).append(" = ").append(m05bConstantes.COL_34_MATRICULA).append(" AND ");    
                    sql.append(m05bConstantes.COL_31_CUENTA).append(" = ").append(m05bConstantes.COL_03_NCUENTA).append(" AND ");  
                    sql.append(m05bConstantes.COL_31_MATRICULA).append(" = ").append(m05bConstantes.COL_34_MATRICULA).append(" AND ");  
                    sql.append(m05bConstantes.COL_31_SITUACION).append(" = '").append(m05bConstantes.TAR_ALTA).append("' ");
                    miLog.addTraza(persona , "Veh TarjetasCaducidad" , "sql: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
                    miLog.addTraza(m05bConstantes.LOG_NO_USER , "Veh TarjetasCaducidad", "sql: " + sql, m05bConstantes.LOG_NIVEL_BAJO);


                    sqlExiste.append(" SELECT 1"); 
                    sqlExiste.append(" FROM "); 
                    sqlExiste.append(m05bConstantes.TAB_TARJETAS).append(","); 
                    sqlExiste.append(m05bConstantes.TAB_VEHICULOS).append(","); 
                    sqlExiste.append(m05bConstantes.TAB_BANCOS).append(" WHERE ");  
                    sqlExiste.append(m05bConstantes.COL_31_CUENTA).append(" = ").append(m05bConstantes.COL_03_NCUENTA).append(" AND ");  
                    sqlExiste.append(m05bConstantes.COL_31_MATRICULA).append(" = ").append(m05bConstantes.COL_34_MATRICULA).append(" AND ");    
                    sqlExiste.append(m05bConstantes.COL_31_CUENTA).append(" = ").append(m05bConstantes.COL_03_NCUENTA).append(" AND ");  
                    sqlExiste.append(m05bConstantes.COL_31_MATRICULA).append(" = ").append(m05bConstantes.COL_34_MATRICULA).append(" AND ");  
                    sqlExiste.append(m05bConstantes.COL_31_SITUACION).append(" = '").append(m05bConstantes.TAR_ALTA).append("' ");					

			  if (!(situacion.equals(""))){
                    sql.append(" AND ").append(m05bConstantes.COL_34_SITUACION).append(" in ( ").append(SituacionLista).append(" ) ") ;
                    sqlExiste.append(" AND ").append(m05bConstantes.COL_34_SITUACION).append(" in ( ").append(SituacionLista).append(" ) ") ;
                    
				}
              if (!(fecha.equals(""))){
               
                    sql.append(" AND ").append(m05bConstantes.COL_31_FCADUC).append("<= to_date('").append(fecha).append("','"+formatoFecha+"') ") ;
                    sqlExiste.append(" AND ").append(m05bConstantes.COL_31_FCADUC).append("<= to_date('").append(fecha).append("','"+formatoFecha+"') ") ;
    	      }     
    	      
    	      if (sOrder1bis.equals("1")) {
                    sql.append(" ORDER BY ").append(m05bConstantes.COL_31_FCADUC).append(" ").append(sOrder1);  
                    sql.append(" , ").append(m05bConstantes.COL_03_NOMBRE).append(" ").append(sOrder2); }
              else{ 
                    sql.append(" ORDER BY ").append(m05bConstantes.COL_03_NOMBRE).append(" ").append(sOrder2);  
                    sql.append(" , ").append(m05bConstantes.COL_31_FCADUC).append(" ").append(sOrder1); }    	      
                    miLog.addTraza(persona , "Veh TarjetasCaducidad" , "sql: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
                    miLog.addTraza(m05bConstantes.LOG_NO_USER , "Veh TarjetasCaducidad", "sql: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
                    
                    miLog.addTraza(persona , "Veh TarjetasCaducidad" , "sqlExiste: " + sqlExiste, m05bConstantes.LOG_NIVEL_BAJO);
                    miLog.addTraza(m05bConstantes.LOG_NO_USER , "Veh TarjetasCaducidad", "sqlExiste: " + sqlExiste, m05bConstantes.LOG_NIVEL_BAJO);
				
		try {
			           conexion = miConexion.getConnection(); %>
			  
			  	       <TABLE class="general">
					    <TR>
					     <TD width="20%" ALIGN="left"  >
					     </TD>
					     <TD width="25%" ALIGN="left" class="inputFieldTitle">
					      <%= res.getString("etSituacion")%>
					     </TD>
					     <TD width="25%" ALIGN="left"  class="inputFieldTitle" colspan="2">
					      <%= res.getString("etAntesFecha")%>
					     </TD>
					     <TD width="25%">
					     </TD>
					    </TR>
				        <tr>
				         <td >
				         </td>
					     <TD ALIGN="left" width="25%">
                          <select class=inputField multiple NAME="Situacion" style="vertical-align=top" >
                           <option value=""> </option>
                            <%=miCombo.popComboMultiple( m05bConstantes.COL_99_CODDESC, "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_SITUACIONES, SituacionLista )%>
         			      </select>
				    	 </TD>
                          <td width="5%" align="left"><INPUT class="inputField" TYPE="TEXT" NAME="FAntes" VALUE="<%=fecha%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;" /></td>
        		          <td  align="left"><a href='#' name='anchorFAntes'  onClick='JavaScript:showCalendar("anchorFAntes",idioma,document.all("FAntes"),true,25,10,2002);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" align="bottom" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' name="calendario1"/></a></td>
                          <td width="30%" align="right">
							<!--INPUT TYPE="IMAGE" style="cursor: hand"  VALUE="Buscar" ONCLICK="JavaScript:fncCambiarSeleccion();return false;" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/buscar.gif"-->
                            <input type="button" class="boton" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncCambiarSeleccion();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" />				      					  							
						  <%if (!(fecha.equals(""))){
			               pstmtGastos = conexion.createStatement();
						   rsGastos = pstmtGastos.executeQuery(sqlExiste.toString());
                           if (rsGastos.next() == true){%>
                                <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Aceptar" ONCLICK="JavaScript:fncImprimir();return false;" onMouseOver="top.status='Imprimir'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/imprimir.gif"></td-->
 								<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					                                  
	                       <%}
                           if (rsGastos != null)
						       rsGastos.close();
						   if (pstmtGastos != null)
						       pstmtGastos.close(); } %>    
                          </td>        		         
					     </tr>
			          </TABLE>
					  <TABLE class="general">
					    <tr>
					      <td class="inputFieldTitle"><%= res.getString("etMatricula")%></td>
					      <td class="inputFieldTitle"><%= res.getString("etTarjeta")%></td>
					      <td class="inputFieldTitle" ><%= res.getString("etFAlta")%></td>
					      <td class="inputFieldTitle" ><%= res.getString("etFCaducidadS")%>
								<% if (sOrder1.equals("ASC")) { %>
								      <input type="RADIO" class="inputField" NAME="Orden1" CHECKED VALUE="ASC" width="42%"  border='0'/><%= res.getString("etAscendente")%>
								      <input type="RADIO" class="inputField" NAME="Orden1" VALUE="DESC" width="42%"  border='0'/><%= res.getString("etDescendente")%>
								<% } else if (sOrder1.equals("DESC")) { %>
								      <input type="RADIO" class="inputField" NAME="Orden1" VALUE="ASC" width="42%" border='0'/><%= res.getString("etAscendente")%>
								      <input type="RADIO" class="inputField" NAME="Orden1" CHECKED VALUE="DESC" width="42%"  border='0'/><%= res.getString("etDescendente")%>
								<% }  %>					      
		                        <% if (sOrder1bis.equals("1")) { %>
								      <input type="RADIO" class="inputField" NAME="Orden1bis" CHECKED VALUE="1" width="42%"  border='0' onclick="javascript: document.formTarjetasCaducidad.Orden2bis[1].checked='true';"/>1º
								      <input type="RADIO" class="inputField" NAME="Orden1bis" VALUE="2" width="42%"  border='0'  onclick="javascript: document.formTarjetasCaducidad.Orden2bis[0].checked='true';"/>2º
								<% } else if (sOrder1bis.equals("2")) { %>
								      <input type="RADIO" class="inputField" NAME="Orden1bis" VALUE="1" width="42%" border='0'  onclick="javascript: document.formTarjetasCaducidad.Orden2bis[1].checked='true';"/>1º
								      <input type="RADIO" class="inputField" NAME="Orden1bis" CHECKED VALUE="2" width="42%"  border='0'  onclick="javascript: document.formTarjetasCaducidad.Orden2bis[0].checked='true';"/>2º
								<% }  %>							      
					      
					      
					      </td>
					      <td class="inputFieldTitle"><%= res.getString("etNombre")%>
								<% if (sOrder2.equals("ASC")) { %>
								      <input type="RADIO" class="inputField" NAME="Orden2" CHECKED VALUE="ASC" width="42%"  border='0'/><%= res.getString("etAscendente")%>
								      <input type="RADIO" class="inputField" NAME="Orden2" VALUE="DESC" width="42%"  border='0'/><%= res.getString("etDescendente")%>
								<% } else if (sOrder2.equals("DESC")) { %>
								      <input type="RADIO" class="inputField" NAME="Orden2" VALUE="ASC" width="42%" border='0'/><%= res.getString("etAscendente")%>
								      <input type="RADIO" class="inputField" NAME="Orden2" CHECKED VALUE="DESC" width="42%"  border='0'/><%= res.getString("etDescendente")%>
								<% }  %>	
		                        <% if (sOrder2bis.equals("1")) { %>
								      <input type="RADIO" class="inputField" NAME="Orden2bis" CHECKED VALUE="1" width="42%"  border='0'  onclick="javascript: document.formTarjetasCaducidad.Orden1bis[1].checked='true';"/>1º
								      <input type="RADIO" class="inputField" NAME="Orden2bis" VALUE="2" width="42%"  border='0'  onclick="javascript: document.formTarjetasCaducidad.Orden1bis[0].checked='true';"/>2º
								<% } else if (sOrder2bis.equals("2")) { %>
								      <input type="RADIO" class="inputField" NAME="Orden2bis" VALUE="1" width="42%" border='0'  onclick="javascript: document.formTarjetasCaducidad.Orden1bis[1].checked='true';"/>1º
								      <input type="RADIO" class="inputField" NAME="Orden2bis" CHECKED VALUE="2" width="42%"  border='0'  onclick="javascript: document.formTarjetasCaducidad.Orden1bis[0].checked='true';"/>2º
								<% }  %>																			      
					      </td>
					    </tr>
						<%
						  if (!(fecha.equals(""))){
                           pstmtGastos = conexion.createStatement();
				    	   rsGastos = pstmtGastos.executeQuery(sql.toString());
                           while (rsGastos.next() == true){
			                       ++contTotal;
					               Tarjeta=rsGastos.getString(1);
					               matricula=rsGastos.getString(2);
					               FechaAlta=rsGastos.getString(3);
					               FechaCaducidad=rsGastos.getString(4);
					               Nombre=rsGastos.getString(5);
					           %>
					               <tr>
										      <td class="inputFieldTitleBlank"><%=matricula%></td>
										      <td class="inputFieldTitleBlank"><%=Tarjeta%></td>
										      <td class="inputFieldTitleBlank"><%=FechaAlta%></td>
										      <td class="inputFieldTitleBlank"><%=FechaCaducidad%></td>
										      <td class="inputFieldTitleBlank"><%=Nombre%></td>
									
					    		   </tr>
					 <%}}
					  } catch (Exception ex){
						   miLog.addTraza(ex);
					  } finally {
							if (rsGastos != null)
								rsGastos.close();
							if (pstmtGastos != null)
								pstmtGastos.close();
							if (conexion != null)
								conexion.close();
					  }
					    %>

					  </TABLE>
					     <TABLE class="general">
							<tr>
							
								<td> <input type='hidden' name="SituacionTexto" VALUE="<%=situacion%>" ></td>
							
			 				</tr>
							<tr align="center">
								<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contTotal%></td>
						 	</tr>
							<tr> </tr>
					   </TABLE>
	
			</FORM>
			 </td>
			</tr>
			<tr>
				<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
			</tr>
			</table>
<SCRIPT language='javascript'>
			    function fncModificar(codigo) {
			       var docu=document.formTarjetasCaducidad;
			       docu.action="m05bGenerarGastosTarjetaServlet?Matricula=<%=matricula%>&Codigo=" + codigo;
			       docu.submit();
			    }
			    
			 	/*function fncNuevo(){
			       var docu=document.formVehGastos;
			       docu.action="m05bGastosTarjetaJsp.jsp?Matricula=<%=matricula%>&Cabecera=false";
			       docu.submit();
			    }*/
			    	
				function fncCambiarSeleccion() {
					var fecha;
		            var orden1;
		            var orden2;
		            var orden1bis;
		            var orden2bis;
			        var docu=document.formTarjetasCaducidad;
					fecha=docu.FAntes.value;
					if (fecha!="") {
					   RecogerSelectMultiple();
                      if (docu.Orden1[0].checked) {
					    orden1="ASC";
					  } else  {
						orden1="DESC";
					  }
                      if (docu.Orden2[0].checked) {
					    orden2="ASC";
					  } else  {
						orden2="DESC";
					  }				
                      if (docu.Orden1bis[0].checked) {
					    orden1bis="1";
					  } else  {
						orden1bis="2";
					  }
                      if (docu.Orden2bis[0].checked) {
					    orden2bis="1";
					  } else  {
						orden2bis="2";
					  }	
					   formatearFecha(docu.FAntes);					  					  	  
			       	   docu.action="m05bTarjetasCaducidadJsp.jsp"+"?Orden1=" + orden1+"&Orden2=" + orden2+"&Orden1bis=" + orden1bis+"&Orden2bis=" + orden2bis;
					   docu.submit();
					   }
			    }
				
				function fncImprimir() {
		            var fecha;
		            var orden1;
		            var orden2;
		            var orden1bis;
		            var orden2bis;
			        var docu=document.formTarjetasCaducidad;
					fecha=docu.FAntes.value;
					if (fecha!="") {
					   RecogerSelectMultiple();
                      if (docu.Orden1[0].checked) {
					    orden1="ASC";
					  } else  {
						orden1="DESC";
					  }
                      if (docu.Orden2[0].checked) {
					    orden2="ASC";
					  } else  {
						orden2="DESC";
					  }				
                      if (docu.Orden1bis[0].checked) {
					    orden1bis="1";
					  } else  {
						orden1bis="2";
					  }
                      if (docu.Orden2bis[0].checked) {
					    orden2bis="1";
					  } else  {
						orden2bis="2";
					  }		
					   formatearFecha(docu.FAntes);			  					  	  
			       	   docu.action="m05bCaducidadPDFTarjetasJsp.jsp"+"?Orden1=" + orden1+"&Orden2=" + orden2+"&Orden1bis=" + orden1bis+"&Orden2bis=" + orden2bis;
					   docu.submit();
					   }				
			    }
	    	
    setTimeout('initSlide();', 1);
	formatearFecha(document.formTarjetasCaducidad.FAntes);	

    
</SCRIPT>
	
</BODY>
</HTML>